Subject: Re: [PATCH RFC] tun: experimental zero copy tx support

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 14 May 2012 21:39:30 +0300

On Mon, May 14, 2012 at 10:34:50AM -0700, Shirley Ma wrote:
> On Sun, 2012-05-13 at 18:52 +0300, Michael S. Tsirkin wrote:
> > Let vhost-net utilize zero copy tx when the experimental
> > zero copy mode is enabled and when used with tun.  This works on
> > top of the patchset 'copy aside frags with destructors' that I posted
> > previously. This is not using tcp so doesn't have the
> > issue with early skb cloning noticed by Ian.
> > 
> > For those that wish to test this with kvm, I intend to post a patchset
> > +
> > git tree with just the necessary bits from the destructor patch
> > a bit later.
> > 
> > Signed-off-by: Michael S. Tsirkin <[email-masked]> 
> 
> Hello Mike,
> 
> Have you tested this patch? I think the difference between macvtap and
> tap is tap forwarding the packet to bridge. The zerocopy is disabled in
> this case.
> 
> Shirley

Testing in progress, but the patchset I pointed to enables
zerocopy with bridge.